import * as $dara from '@darabonba/typescript';
export declare class GetConsoleFuncGrayStatusRequest extends $dara.Model {
    /**
     * @remarks
     * Name of the function module.
     *
     * @example
     * vpcConsoleSwitch
     */
    condition?: string;
    /**
     * @remarks
     * Set the language type for request and response messages. Default value: **zh**. Values:
     *
     * - **zh**: Chinese
     * - **en**: English
     *
     * @example
     * zh
     */
    lang?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
